﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="DisplayASimpleMap.aspx.cs"
    Inherits="CSSamples.Samples.DisplayASimpleMap" %>

<%@ Register Assembly="WebEdition" Namespace="ThinkGeo.MapSuite.WebEdition" TagPrefix="cc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <link href="~/theme/default/samplepic/style.css" rel="stylesheet" type="text/css" />
    <title>Display a Simple Map</title>
    <style>
        #UpdatePanel1
        {
            height: auto;
        }
    </style>

    <script type="text/javascript">
        function ZoomIn() {
            SetState("no");
            Map1.ZoomIn();
        }

        function SetState(value) {
            $get("state").value = value;
        }
    </script>

</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
    <asp:UpdatePanel ID="UpdatePanel1" runat="server">
        <ContentTemplate>
            <cc1:Map ID="Map1" runat="server" Width="640px" Height="480px">
            </cc1:Map>
        </ContentTemplate>
        <Triggers>
            <asp:AsyncPostBackTrigger ControlID="MeasureDistance" />
        </Triggers>
    </asp:UpdatePanel>
    <input type="hidden" value="yes" id="state" runat="server" />
    <asp:ImageButton ID="ZoomIn" runat="server" ToolTip="ZoomIn" ImageUrl="~/theme/default/samplepic/Cursor.png"
        OnClientClick="ZoomIn();return false;" />
    <asp:ImageButton ID="MeasureDistance" runat="server" ToolTip="MeasureDistance" ImageUrl="~/theme/default/samplepic/info.png"
        OnClick="MeasureDistance_Click" OnClientClick="SetState('yes');" Style="height: 16px;
        width: 16px" />
    </form>
</body>
</html>
