using System;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WebEdition;

namespace CSSamples.Samples
{
    public partial class DisplayASimpleMap : System.Web.UI.Page
    {
        protected override void OnLoad(EventArgs e)
        {
            base.OnLoad(e);
        }

        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                Map1.MapBackground.BackgroundBrush = new GeoSolidBrush(GeoColor.FromHtml("#E5E3DF"));
                Map1.CurrentExtent = new RectangleShape(-125, 72, 50, -46);
                Map1.MapUnit = GeographyUnit.DecimalDegree;

                WorldMapKitWmsWebOverlay worldMapKitOverlay = new WorldMapKitWmsWebOverlay();
                Map1.CustomOverlays.Add(worldMapKitOverlay);
            }
            else
            {
                if (state.Value == "yes")
                {
                    Map1.Click += new EventHandler<MapClickedEventArgs>(Map1_Click);
                }
            }
        }

        void Map1_Click(object sender, MapClickedEventArgs e)
        {
            System.Diagnostics.Trace.WriteLine("MapClicked");

        }

        protected void MeasureDistance_Click(object sender, System.Web.UI.ImageClickEventArgs e)
        {
            System.Diagnostics.Trace.WriteLine("MeasureDistance");

        }
    }
}
